﻿.margin-vert-24 {
    margin: 24px 0 !important;
}

@media print {
    .invoice-buttons,
    .invoice-container-no-print,
    .create-payment-titlebar,
    .wait-column {
        display: none !important;
    }

    #body-wrapper {
        position: relative !important;
        left: 0 !important;
        top: 0 !important;
        height: 100% !important;
        width: 100% !important;
        background-color: #FFF !important;
    }

    .invoice-container-print {
        display: flex !important;
    }

    .create-payment-container {
        height: fit-content !important;
    }

    .create-payment-container-inner {       
        border: none !important;
    }

    .invoice-logo {
        width: 180px;
        height: auto;
        margin-bottom: 20px;
    }
}

.create-payment-container {
    display: flex;
    width: 100%;
    height: Calc(100vh - 88px);
    padding: 40px;
    align-items: flex-start;
    justify-content: center;
    border-top: 1px solid var(--Colour-Surface-surface-tertiary, #F4F4F5);
    background: var(--Colour-Surface-surface-tertiary, #F4F4F5);
}

.create-payment-container-inner {
    display: flex;
    height: 100%;
    align-items: center;
    border-radius: 16px;
    border: 1px solid var(--Colour-Text-text-tertiary, #DBDCDD);
}

.form-column {
    display: flex;
    width: 600px;
    padding: 40px 40px 24px 40px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    border-radius: 16px 0 0 16px;
    background: #FFF;
}

.wait-column {
    display: flex;
    width: 600px;
    height: 100%;
    flex-direction: column;
    border-radius: 16px 0 0 16px;
    background: #FFF;
    padding: 0 40px;
    align-items: center;
    gap: 40px;
    justify-content: center;
}

.create-payment-titlebar {
    display: flex;
    height: 88px;
    padding: 24px 40px;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
}

.sucess-text {
    color: var(--Colour-Text-text-primary-heading, #2C2F34);
    text-align: center;
    font-size: 2rem;
    font-weight: 600;
    line-height: 2.25rem;
}

.preview-column {
    display: flex;
    width: 600px;
    height: 100%;
    padding: 40px;
    flex-direction: column;
    align-items: flex-start;
    gap: 36px;
    border-radius: 0 16px 16px 0;
    background: var(--Colour-Primary-25, #E2EAF3);
}

.preview-card {
    display: flex;
    padding: var(--Spacing-spacing-md, 16px);
    flex-direction: column;
    align-items: flex-start;
    gap: var(--Spacing-spacing-md, 16px);
    align-self: stretch;
    border-radius: var(--Radius-radius-medium, 16px);
    background: var(--white, #FFF);
}

.preview-header {
    display: flex;
    align-items: center;
    align-self: stretch;
    justify-content: space-between;
}

.preview-header-inner {
    display: flex;
    align-items: center;
    gap: 12px;
    align-self: stretch;
}

.preview-sub-header {
    color: var(--Colour-Text-text-secondary, #6D7078);
    font-size: 0.75rem;
    line-height: 1.125rem;
}

.preview-language {
    color: var(--Colour-Text-text-secondary, #6D7078);
    font-size: 1rem;
    line-height: 1.5rem;
}

.preview-client {
    display: flex;
    height: 42px;
    justify-content: space-between;
    align-items: flex-start;
    align-self: stretch;
}

.preview-prn {
    height: 42px;
    align-items: flex-start;
    width: 100%;
}

.chip-margin-small {
    margin-bottom: 0 !important;
}

.preview-client-inner {
    display: flex;
    align-items: center;
}

.preview-client-right {
    display: flex;
    align-items: end;
    text-align: right;
    flex-direction: column;
}

.preview-copy {
    color: var(--Colour-Surface-surface-strong, #92959A);
}

.preview-text {
    color: var(--Colour-Text-text-primary, #4A4E57);
    font-size: 1rem;
    line-height: 1.5rem;
}

.preview-title {
    color: var(--Colour-Text-text-primary-heading, #2C2F34);
    font-size: 1.25rem;
    line-height: 1.5rem;
}

.preview-amount {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    align-self: stretch;
}

.dividing-line {
    width: 100%;
    height: 1px;
    background: var(--Colour-Surface-surface-tertiary, #F4F4F5);
}

.copy-hidden {
    display: none;
}

.copy-shown {
    display: block;
}

.full-width {
    width: 100%;
}

.invoice-buttons {
    display: flex;
    gap: 24px;
}

.invoice-container-no-print {
    display: flex;
}

.invoice-container-print {
    display: none;
    width: 100%;
    gap: 24px;
    flex-direction: column;
    text-align: center;
    align-items: center;
    color: #002d62;
}

.invoice-logo-box {
    width: 100%;
    justify-content: flex-end;
    display: flex;
}

.invoice-logo {
    width: 180px;
    height: auto;
    margin-bottom: 20px;
}

.invoice-title {
    font-size: 1.5rem;
    line-height: 1.75rem;
}

.invoice-sub-title {
    font-size: 1rem;
}

.invoice-amount-container {
    border: 4px solid #F4F4F4;
    padding: 10px;
    width: 400px;
    gap: 12px;
    display: flex;
    flex-direction: column;
}

.invoice-notes-container {
    border: 4px solid #F4F4F4;
    padding: 10px;
    width: 100%;
    gap: 12px;
    display: flex;
    flex-direction: column;
    color: #58585A;
    font-size: 0.85rem;
    align-items: center;
}

    .invoice-notes-container.orange {
        color: #EC8000;
    }

.invoice-footer {
    display: flex;
    gap: 24px;
    font-size: 0.85rem;
}

.invoice-tear {
    height: 15px;
    -webkit-mask: radial-gradient(12px at bottom,#0000 98%,#000) 30% / 32.00px 100%;
    align-self: stretch;
    background: var(--white, #FFF);
}

.invoice-outer-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
    max-width: 900px;
}

.invoice-inner-container {
    display: flex;
    padding: 36px 16px;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    align-self: stretch;
    border-radius: 24px 24px var(--Radius-radius-none, 0px) var(--Radius-radius-none, 0px);
    background: var(--white, #FFF);
}

.language-container {
    display: flex;
    align-items: center;
    gap: 8px;
}

.select-text-option {
    position: relative;
    z-index: 2;
    margin: 0;
    display: flex;
    min-height: 40px;
    padding: 10px var(--Spacing-spacing-md, 16px);
    align-items: center;
    gap: 4px;
    align-self: stretch;
    justify-content: flex-start;
    color: var(--Colour-Text-text-secondary, #6D7078);
    font-size: 0.875rem;
    font-family: "Encode Sans Regular", sans-serif;
    line-height: 1rem;
    cursor: pointer;
    overflow-x: hidden;
    overflow-wrap: anywhere;
}

    .select-text-option:not(:first-child):not(:last-child) {
        border: 1px solid var(--Colour-Surface-surface-secondary, #F9F9F9);
    }

.selected-option {
    background: var(--Colour-Surface-surface-brand-quaternary, #CFDDEC);
    color: var(--Colour-Surface-surface-brand, #002E5F);
}

    .selected-option:hover,
    .selected-option:focus {
        background: linear-gradient(0deg, rgba(255, 255, 255, 0.30) 0%, rgba(255, 255, 255, 0.30) 100%), var(--Colour-Surface-surface-brand-quaternary, #CFDDEC);
    }

.non-selected-option {
    color: var(--Colour-Text-text-secondary, #6D7078);
}

    .non-selected-option:hover,
    .non-selected-option:focus {
        background: var(--Colour-Surface-surface-secondary, #F9F9F9);
    }

.select-text-inner {
    flex-direction: column;
    display: flex;
    gap: 5px;
    text-align: left;
}

.select-text-description {
    font-size: 0.75rem;
}

.select-text-value {
    font-size: 1rem;
    font-weight: 500;
}

.dividing-line-titlebar {
    width: 1px;
    height: 39px;
    background: var(--Colour-Surface-surface-moderate, #DBDCDD);
}

.left-titlebar {
    display: flex;
    align-items: center;
    gap: 20px;
}

.modal-column {
    display: flex;
    min-width: 350px;
    flex-direction: column;
    align-items: flex-start;
    gap: 18px;
    align-self: stretch;
    border-radius: 16px 0 0 16px;
    background: #FFF;
    padding: 0 32px 0 12px;
}

.actions-styling {
    box-shadow: 0 3px 30px 0 rgba(0, 0, 0, 0.15);
    position: relative;
}